* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
html,
body {
    width: 100vw;
    padding: 0;
    margin: 0;
    font-size: 18px;
    font-family: Arial, Helvetica, sans-serif;
    line-height: normal;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-align: justify;
    overflow-x: hidden;
    background: #f2f2f2;
    color: #222;

}


/* ------------------------------------------------------               NAV BAR ------------------*/


header{
    width: 100vw;
    border-bottom: 2px solid red;
    position: fixed;
    top: 0;
    z-index: 1000; /* Keeps it above other content */
}

li {
    list-style: none;
}

a {
    text-decoration: none;
}

.navbar {
    display: flex;    
    justify-content: space-between;
    align-items: center;
    padding: 1.5px 2px;
    padding-right: 2.5%;
    padding-left: 2.5%;
    background-color: #1C1B1B;
    color: white;

}

.navbar a{
    color: white;
    font-size: 2em;

}

.navbar img{
    width: 1em;
}


.hamburger {
    display: none;
}

.bar {
    display: block;
    width: 25px;
    height: 3px;
    margin: 5px auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    background-color: white;
}

.nav-menu {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #1C1B1B;

}

#no-border{
    border-bottom: none; 
}

.nav-item {
    margin-left: 2em;    
}

/*----------------------------- menu links -----------------*/

.nav-item a{
    color: white;    
    font-weight: bold;
    text-decoration: none;
    font-size: .8em;
    text-transform: uppercase;
    letter-spacing: 3px;
    text-align: center;
}

.nav-item a:hover {
    color: red;
}


.nav-item img{
    display: block;
    margin: auto;
    width: 30%;
}

.nav-link{
    font-size: .8em;
    letter-spacing: 2px;
    text-transform: uppercase;
    font-weight: 400;
    color: white;
}

.nav-link:hover{
    color: black;
}

.nav-logo {
    font-size: 2.1em;
    font-weight: 500;
    letter-spacing: 5px;
}

#red{
    color: red;
}

#red-heading{
    color: black;
    font-size: 1em;
}

#logo-text{
    font-size: .5em;
}

/* ------ G R I D  S E C T I O N S --------------------------------------------*/

main {
    display: grid;
}

section {
    display: block;
}

article {
    display: block;
}


aside {
    display: block;
}



.grid-container {
    max-width: 1200px;
    margin: auto;
    margin-top: 5rem;
    padding: 1.5rem 1rem 3rem;
    display: grid;
    gap: 2rem;
    grid-column-gap: 2.5%;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-areas:
    'head head head head' 
    'one one one six'
    'brone brone brone brone'
    'two two three three'
    'brtwo brtwo brtwo brtwo'    
    'four four four four'
    'brthr brthr brthr brthr'
    'five five seven seven'
    'goog goog goog goog';
}

/*---------------  O N E  ---------------*/

.head {
    grid-area: head;
    text-transform: uppercase;
    letter-spacing: 3px;
    text-align: center;
}

.one {
    grid-area: one;
}

.hero {
      display: grid;
      gap: 1.5rem;
    }

.hero-main {
    position: relative;
    overflow: hidden;
}

.hero-main img { 
    width: 100%; 
    object-fit: cover; 
}

.hero-text {
    position: absolute;
    inset: 0;
    color: #fff;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.hero-text > * {
    position: relative;
    z-index: 1;
    max-width: 50%;
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.hero-text::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(
        to right,
        rgba(0,0,0,0.65),
        rgba(0,0,0,0.1)
    );
    z-index: 0;
}

.hero-text h3 { 
    font-size: 2rem; 
}

.hero-text p { 
    margin-bottom: 1rem;
}

#song-title{
    font-size: 1.2rem;
}

.btn {
    background: #e53935;
    color: #fff;
    padding: .6rem 1.2rem;
    border-radius: 20px;
    width: fit-content;
    font-weight: bold;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.btn a{
    color: white;
}

.btn a:hover {
    color: black;
}

.article-meta {
    color: gray;
}

.article-meta a{
    color: gray;
}





/*---------------  T W O  ---------------*/

.two {
    grid-area: two;
    margin-top: .5rem;
}

.row{
    display: flex;
    flex-direction: row;
    gap: 5%;
}

.row-section{
    display: flex;
    flex-direction: row;
}

/*---------------  C A R D  ---------------*/

.card {
    flex: 1;
    background: #fff;
    overflow: hidden;
}

.card img{
    width: 100%;
}

.card-content { 
    padding: 1rem; 
    text-align: center;
}

.card-content p { 
    margin-top: 1rem; 
}

.tag {
      display: inline-block;
      background: #e53935;
      color: #fff;
      font-size: .75rem;
      padding: .25rem .6rem;
      border-radius: 12px;
      transition: background-color 0.3s ease, color 0.3s ease;
}

.tag a{
    color: white;
}

.tag:hover {
    background: rgba(0, 0, 0, 0.75);
}

h4{
    margin-bottom: 1rem;
}

#date{
    color: gray;
    font-size: .75rem;    
    padding-top: 1rem;
    padding-left: 0;
    padding-right: 0;
    margin: 0;
}

#date-2{    
    color: white;
    font-size: .75rem;    
    padding-top: 1rem;
    padding-left: 0;
    padding-right: 0;
    margin: 0;
}

/*---------------   T H R E E  ---------------*/

.three {
    grid-area: three;
    margin-top: .5rem;
}

.four {
    grid-area: four;    
    margin-top: 2.5rem;
}

.five {
    grid-area: five;
    margin-top: 2.5rem;
}

.seven {
    grid-area: seven;
    margin-top: 2.5rem;
}

.six {
    grid-area: six;
    background: white;
    padding: 1rem;
    border-radius: 8px;    
}

.six h1 {
    font-size: 1rem;
    text-transform: uppercase;
    border-bottom: 3px solid red;
    margin-bottom: 1rem;
}

.six-text{
    border-bottom: 1px solid gray;
    padding-bottom: .5rem;
    margin-bottom: 1rem;
}

.six-text a{
    color: black;
    text-decoration: none;
}

.six-text a:hover {
    color: red;
}

.six-text h2{    
    margin-bottom: 0;
    color: red;
    font-size: .75rem;
}

.six-text p{    
    margin-top: 0;
    margin-bottom: 0;
    font-size: .75rem;
    text-align: justify;
}

.goog {
    grid-area: goog;
    margin-top: .5rem;
    border: 1px solid gray;
}



#upload-date {
    font-size: .45rem;
    text-transform: uppercase;
    color: grey;
}

#centre-text{
    text-align: center;
}

/*----------------  N E W -----------------*/ 

.brone {
    grid-area: brone;
    border-bottom: 1px solid gray;
    margin-top: 2rem;
    margin-bottom: 0;
}

.brtwo {
    grid-area: brtwo;
    border-bottom: 1px solid gray;
    margin-top: 2rem;
    margin-bottom: 0;
}

.brthr {
    grid-area: brthr;
    border-bottom: 1px solid gray;
    margin-top: 2rem;
    margin-bottom: 0;
}




/*---   F O O T E R ----------------------------------------*/

footer {
    display: flex;
    width: 100%;
    flex-direction: row;
    text-align: center;
    float: none;
    position:relative;
    top: auto;
    right:auto;
    padding: 2%;
    height: auto;
    line-height: auto;
    background: #1C1B1B;
    border-top: 5px solid red;
}

.footer-col{
    flex: 1;
    color: white;
}

.footer-col h2{
    font-size: 1em;
    justify-content: left;
    color: white;
}

.footer-col ul li{
    text-align: justify;
    color: white;
}


.footer-col a{
    color: white;
    font-weight: bold;
    text-decoration: none;
    display: inline-block;
    float:none;
    padding: 2%;
}

footer h1{
    text-decoration: none;
    font-size: 2em;
    color: white;
}

#footer-text{
    font-size: .5em;
}

/*-------------------    mobile --------------------*/

/*--------------------------------------------------------------------*/

/*---  M E D I A   Q U E R Y   --------------------*/



@media only screen and (max-width: 480px) {

    html,
    body{
        height: 100%;
    }

    header{
        width: 100%;
    }

    #logoText{
        font-size: 1em;
    }

    #hidden{
        visibility: visible;
    }

    .nav-menu {
        position: fixed;
        left: -100%;
        top: 0;
        flex-direction: column;
        width: 100%;
        border-radius: 10px;
        text-align: center;
        transition: 0.3s;
        box-shadow: 0 10px 27px rgba(0, 0, 0, 0.05);
        z-index: 1;
    }

    .nav-menu.active {
        left: 0;
    }

    .nav-item {
        margin: 2.5rem 0;
    }

    .navbar a{
        color: white;
        font-size: 1.5em;
    }

    .navbar img{
        width: 1.5em;
    }

    .navbar{
        font-size: .5em;
    }

    .hamburger {
        display: block;
        cursor: pointer;
    }

    .hamburger.active .bar:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active .bar:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }

    .hamburger.active .bar:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
    }

/*--- content  ----*/

    .grid-container {
        display: grid;
        margin-top: 2.5rem;
        grid-template-areas:
        'head head head head'
        'one one one one'  
        'brone brone brone brone'      
        'two two two two'
        'three three three three'
        'brtwo brtwo brtwo brtwo'
        'four four four four'
        'six six six six'
        'brthr brthr brthr brthr'
        'five five five five'
        'seven seven seven seven'
        'goog goog goog goog'; 
        
    }

    .one{
        margin: none;
        padding: none;
    }

    .hero {
          display: grid;
          gap: 0;
        }

    .hero-main {
        position: relative;
        overflow: hidden;
    }

    .hero-main img { 
        width: 100%; 
        object-fit: cover; 
    }

    .hero-text {
        position: absolute;
        inset: 0;
        color: #fff;
        padding: 1rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

        .hero-text > * {
            position: relative;
            z-index: 1;
            max-width: 50%;
            color: #fff;
            display: flex;
            flex-direction: column;
            justify-content: center;
        }

        .hero-text::before {
            content: "";
            position: absolute;
            inset: 0;
            background: linear-gradient(
                to right,
                rgba(0,0,0,0.65),
                rgba(0,0,0,0.1)
            );
            z-index: 0;
        }

    .hero-text h3 { 
        font-size: 1.2rem; 
        margin-bottom: .5rem;
    }

    .hero-text p { 
        margin-bottom: 1rem;
        font-size: .50rem;
    }

    #song-title{
        font-size: .8rem;
    }

    .btn {
        background: #e53935;
        color: #fff;
        padding: .3rem .8rem;
        border-radius: 20px;
        width: fit-content;
        font-weight: bold;
        font-size: .50rem;
    }

    .btn:hover {
        color: black;
    }

    /*---------------  C A R D  ---------------*/

    .card {
        flex: 1;
        background: #fff;
        overflow: hidden;
        font-size: .75rem;
    }

    .card img{
        width: 100%;
    }

    .card-content { 
        padding: 1rem; 
    }

    .card-content p { 
        margin-top: 1rem; 
    }

    .tag {
          display: inline-block;
          background: #e53935;
          color: #fff;
          font-size: .75rem;
          padding: .25rem .6rem;
          border-radius: 12px;
    }

    h4{
        margin-bottom: 1rem;
    }

    #date{
        color: gray;
        font-size: .50rem;
        padding-top: .75rem;
        margin: 0;
    }

    #date-2{    
        font-size: .40rem; 
    }

    .five{
        margin: 0;
        padding: 0;
    }

    .seven{
        margin: 0;
        padding: 0;
    }



    footer{
        flex-direction: column;
    }

}